Obtenir les listes dont la fiche d'informations fait partie
curl --request GET \
--url https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"firstAddedTimestamp": "2023-11-07T05:31:56Z",
"lastAddedTimestamp": "2023-11-07T05:31:56Z",
"listId": "<string>",
"listVersion": 123,
"isPublicList": true
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Contrôles d'accès
Get lists a record is a member of
Pour une fiche d’informations donnée, fournir les listes dont cette fiche d’informations fait partie.
GET
/
crm
/
lists
/
2026-03
/
records
/
{objectTypeId}
/
{recordId}
/
memberships
Obtenir les listes dont la fiche d'informations fait partie
curl --request GET \
--url https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/lists/2026-03/records/{objectTypeId}/{recordId}/memberships")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"firstAddedTimestamp": "2023-11-07T05:31:56Z",
"lastAddedTimestamp": "2023-11-07T05:31:56Z",
"listId": "<string>",
"listVersion": 123,
"isPublicList": true
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
},
"total": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
ID du type d'objet de la fiche d'informations
Identifiant de la fiche d'informations
Réponse
successful operation
Dernière modification le 6 octobre 2026